#pragma once

#include <afxwin.h>

class ObjListBox : public CListBox
{
};
/////////////////////////////////////////////////////////////////////////////
// CObjListBox window

class CObjListBox : public CListBox
{
// Construction
public:
	CObjListBox();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjListBox)
	public:
	virtual int VKeyToItem(UINT nKey, UINT nIndex);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CObjListBox();

	// Generated message map functions
protected:
	//{{AFX_MSG(CObjListBox)
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
